import React from 'react';
import { hot } from 'react-hot-loader';
import pcFetch from '../src/index.js';
import fetch, { serializeQuery } from '../src/h5Fetch.js';

fetch('/apis/user', {
  method: 'get',
  body: { name: 'h5', type: 'post' }
}).then(res => {
  console.log(res);
});

// fetch('/apis/user', {
//   method: 'GET'
// }).then(res => {
//   console.log(res)
// })

/**
 * ******************** pc demos ***********************************************************************************************************/

pcFetch(`/apis/user${serializeQuery({ name: 'qjx', age: 55 })}`, {
  method: 'GET',
  headers: { 'Content-Type': 'text/html' }
})
  .then(res => {
    console.log(res);
  })
  .catch(err => {
    console.log('err:', err);
  });

pcFetch('/api/unAuthorize', {
  method: 'GET'
}).then(res => { alert('shoud not show') })

// pcFetch('/api/error500', {
//   method: 'GET'
// }).then(res => {
//   console.log(res)
//   console.error('shoud not show')
// })

// pcFetch('/api/error400', {
//   method: 'GET'
// }).then(res => { console.error('shoud not show') })

pcFetch('https://home.cathay-ins.com.cn/api/v1/sso/user', {
  method: 'GET'
}).then(res => {
  console.error('shoud not show');
});

const App = () => <div>Hello,NPM modules.</div>;

export default hot(module)(App);
