'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _button = require('antd/lib/button');

var _button2 = _interopRequireDefault(_button);

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _input = require('antd/lib/input');

var _input2 = _interopRequireDefault(_input);

var _form = require('antd/lib/form');

var _form2 = _interopRequireDefault(_form);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

require('antd/lib/button/style/css');

require('antd/lib/input/style/css');

require('antd/lib/form/style/css');

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var LoginForm = function (_Component) {
  (0, _inherits3.default)(LoginForm, _Component);

  function LoginForm() {
    var _ref;

    var _temp, _this, _ret;

    (0, _classCallCheck3.default)(this, LoginForm);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = (0, _possibleConstructorReturn3.default)(this, (_ref = LoginForm.__proto__ || (0, _getPrototypeOf2.default)(LoginForm)).call.apply(_ref, [this].concat(args))), _this), _this.onSubmit = function (e) {
      e.preventDefault();
      _this.props.form.validateFields(function (err, data) {
        if (!err) {
          var loginMessage = {
            username: data.username,
            password: data.password
          };
          _this.props.doLogin(loginMessage);
        }
      });
    }, _temp), (0, _possibleConstructorReturn3.default)(_this, _ret);
  }

  (0, _createClass3.default)(LoginForm, [{
    key: 'render',
    value: function render() {
      var FormItem = _form2.default.Item;
      var getFieldDecorator = this.props.form.getFieldDecorator;

      var formItemLayout = {
        labelCol: {
          xs: {
            span: 24
          },
          sm: {
            span: 6
          }
        },
        wrapperCol: {
          xs: {
            span: 24
          },
          sm: {
            span: 14
          }
        }
      };
      var tailFormItemLayout = {
        wrapperCol: {
          xs: {
            span: 24,
            offset: 0
          },
          sm: {
            span: 14,
            offset: 6
          }
        }
      };

      return _react2.default.createElement(
        _form2.default,
        { onSubmit: this.onSubmit },
        _react2.default.createElement(
          FormItem,
          (0, _extends3.default)({}, formItemLayout, { label: '\u8D26\u53F7' }),
          getFieldDecorator('username', {
            rules: [{
              required: true,
              message: '请输入账号!'
              // {
              //   validator: (rule, username, callback) => {

              //     let hasError = true
              //     if (username.length == 11) {
              //       hasError = false
              //     } else if (username.length == 10) {
              //       hasError = false
              //     } else if (~username.indexOf('@') && ~username.indexOf('.')) {
              //       hasError = false
              //     }

              //     if (hasError) {
              //       callback(true)
              //     } else {
              //       callback()
              //     }
              //   },
              //   message: "请输入正确的账号格式，邮箱为完整地址，手机11位，员工号10位"
              // }
            }]
          })(_react2.default.createElement(_input2.default, { size: 'large', placeholder: '\u8BF7\u8F93\u5165\u8D26\u53F7(\u624B\u673A\u53F7\u7801\u3001\u90AE\u7BB1\u6216\u5DE5\u53F7)' }))
        ),
        _react2.default.createElement(
          FormItem,
          (0, _extends3.default)({}, formItemLayout, { label: '\u5BC6\u7801' }),
          getFieldDecorator('password', {
            rules: [{
              required: true,
              message: '请输入密码!'
            }]
          })(_react2.default.createElement(_input2.default, { size: 'large', type: 'password', placeholder: '\u8BF7\u8F93\u5165\u5BC6\u7801' }))
        ),
        _react2.default.createElement(
          FormItem,
          tailFormItemLayout,
          _react2.default.createElement(
            _button2.default,
            { type: 'primary', size: 'large', htmlType: 'submit' },
            '\u786E\u5B9A'
          )
        )
      );
    }
  }]);
  return LoginForm;
}(_react.Component);

exports.default = _form2.default.create()(LoginForm);