'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _stringify = require('babel-runtime/core-js/json/stringify');

var _stringify2 = _interopRequireDefault(_stringify);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

exports.default = function (url) {
  var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
  var _options$method = options.method,
      method = _options$method === undefined ? 'GET' : _options$method,
      _options$body = options.body,
      body = _options$body === undefined ? {} : _options$body,
      _options$headers = options.headers,
      headers = _options$headers === undefined ? {} : _options$headers,
      otherOps = (0, _objectWithoutProperties3.default)(options, ['method', 'body', 'headers']);
  // 处理参数

  method = method.toUpperCase();
  if ((method === 'POST' || method === 'PUT') && !headers['Content-Type']) {
    body = (0, _stringify2.default)(body);
    headers['Content-Type'] = 'application/json';
  }

  var ops = (0, _extends3.default)({
    method: method,
    credentials: 'include',
    headers: headers
  }, otherOps);
  if (method !== 'GET') ops.body = body;
  return {
    url: url,
    ops: ops
  };
};

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }