'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _stringify = require('babel-runtime/core-js/json/stringify');

var _stringify2 = _interopRequireDefault(_stringify);

var _typeof2 = require('babel-runtime/helpers/typeof');

var _typeof3 = _interopRequireDefault(_typeof2);

exports.default = serializeQuery;

var _lodash = require('lodash.topairs');

var _lodash2 = _interopRequireDefault(_lodash);

var _lodash3 = require('lodash.isarray');

var _lodash4 = _interopRequireDefault(_lodash3);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function serializeQuery(query) {
  return (0, _lodash2.default)(query).reduce(function (iter, item) {
    var result = void 0;
    if (item[1] === undefined) {
      return iter;
    }
    if ((0, _lodash4.default)(item[1])) {
      result = item[1].reduce(function (iter1, param) {
        return iter1 + item[0] + '[]=' + param + '&';
      }, '');
    } else if (typeof item[1] === 'undefined') {
      result = encodeURIComponent(item[0]) + '=&';
    } else if ((0, _typeof3.default)(item[1]) === 'object') {
      result = encodeURIComponent(item[0]) + '=' + encodeURIComponent((0, _stringify2.default)(item[1])) + '&';
    } else {
      result = encodeURIComponent(item[0]) + '=' + encodeURIComponent(item[1]) + '&';
    }

    return iter + result;
  }, '?').slice(0, -1);
}